/*
 * pll_tools.h
 *
 *  Created on: 13 нояб. 2024 г.
 *      Author: Evgeniy_Sokolov
 */

#ifndef SRC_MAIN_PLL_TOOLS_H_
#define SRC_MAIN_PLL_TOOLS_H_


#define FREQ_RUN_PLL    (2*FREQ_PWM)


void get_freq_50hz_float(void);
void get_freq_50hz_iq(void);
void calc_pll_50hz(void);
void init_50hz_input_net50hz(void);

extern PLL_REC pll1;

#endif /* SRC_MAIN_PLL_TOOLS_H_ */
